# vc-align

> Align Ui Component for Vue

## 安装 Install 

```
npm install vc-align
```

## 组件属性 props
<table class="table table-bordered table-striped">
    <thead>
    <tr>
        <th>name</th>
        <th>type</th>
        <th>default</th>
        <th>description</th>
    </tr>
    </thead>
    <tbody>
        <tr>
          <td>align-set</td>
          <td>Object</td>
          <td></td>
          <td>对齐方式配置，  
          https://github.com/yiminghe/dom-align
          </td>
        </tr>
        <tr>
          <td>target</td>
          <td>function():HTMLElement</td>
          <td>function(){return window;}</td>
          <td>对齐目标</td>
        </tr>
        <tr>
          <td>onAlign</td>
          <td>function(source:HTMLElement, align:Object)</td>
          <td></td>
          <td>对齐事件后进行回调</td>
        </tr>
        <tr>
          <td>monitorWindowResize</td>
          <td>Boolean</td>
          <td>false</td>
          <td>调整窗口大小是是否重新对齐</td>
        </tr>
        <tr>
          <td>monitorBufferTime</td>
          <td>Number</td>
          <td></td>
          <td>resize的时候，重新对齐延迟时间</td>
        </tr>
        
    </tbody>
</table>



## 运行及构建步骤 run&build steps

``` bash
# install dependencies
npm install

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build
```

For detailed explanation on how things work, checkout the [guide](http://vuejs-templates.github.io/webpack/) and [docs for vue-loader](http://vuejs.github.io/vue-loader).
